Bug 472303 - Review Request: python-ropevim - Python module to add rope refactoring to vim
Review Request: python-ropevim - Python module to add rope refactoring to vim
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On: 472269
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 17:31 EST by Toshio Ernie Kuratomi
Modified: 2010-03-10 13:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-10 13:08:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2008-11-19 17:31:30 EST
Spec URL: http://toshio.fedorapeople.org/packages/python-ropevim.spec
SRPM URL: http://toshio.fedorapeople.org/packages/python-ropevim-0.2-1.fc9.src.rpm
Description:

Ropevim provides a python module to integrate the rope python refactoring
library with vim.
Comment 1 Brian Pepple 2008-11-22 14:33:40 EST
MD5Sum:
42390b31187a6ac5f06b5148af661f97  ropevim-0.2.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Valid license tag
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Package builds in Mock.
* rpmlint produces no errors.
* Package installs and uninstalls cleanly.

Minor:
* could look at making summary a bit less verbose.

+1 APPROVED
Comment 2 Toshio Ernie Kuratomi 2010-03-10 13:07:52 EST
I wasn't able to get the integration to work bug-free enough that I was comfortable supporting this so I've never imported it.  It's been quite a while and I realize I don't have the time to work on making it work so i'm closing this review request -- someone else can take my work and update it if they feel they need to.

Note You need to log in before you can comment on or make changes to this bug.